diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..0356424
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*.pyc
+.project
+.pydevproject
+.settings/
diff --git a/apt_offline_core/AptOfflineCoreLib.py b/apt_offline_core/AptOfflineCoreLib.py
index 1f16fee..0bb38a4 100644
--- a/apt_offline_core/AptOfflineCoreLib.py
+++ b/apt_offline_core/AptOfflineCoreLib.py
@@ -1177,6 +1177,9 @@ def installer( args ):
                                 filename = eachfile
                                 FullFileName = os.path.abspath(os.path.join(InstallDirPath, eachfile) )
                         
+                                if os.path.isdir(FullFileName):
+                                        log.verbose("Skipping!! %s is a directory\n" % (FullFileName))
+                                        continue
                                 #INFO: Take care of Src Pkgs
                                 found = False
                                 for item in SrcPkgDict.keys():
diff --git a/debian/changelog b/debian/changelog
index b81dfcc..1aef5ed 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+apt-offline (0.9.9squeeze1) unstable; urgency=low
+
+  * Add less to Depends because we depend on `less` to display the
+    bug reports
+  * Check if argument is a directory. (Closes: #588908) 
+
+ -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 20 Aug 2010 17:27:02 +0530
+
 apt-offline (0.9.9) unstable; urgency=low
 
   * New Feature Release
diff --git a/debian/control b/debian/control
index d85b385..d65a4ce 100644
--- a/debian/control
+++ b/debian/control
@@ -12,7 +12,7 @@ Vcs-Browser: http://git.debian.org/?p=apt-offline/apt-offline.git
 
 Package: apt-offline
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-argparse, python, apt
+Depends: ${misc:Depends}, ${python:Depends}, python-argparse, python, apt, less
 XB-Python-Version: ${python:Versions}
 Description: offline apt package manager
  apt-offline is an Offline APT Package Manager
